## qt6-tools 6.10.2

=== src/designer/src/designer/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## designer App:
#####################################################################

qt_internal_add_app(designer
    SOURCES
        ../../../shared/fontpanel/fontpanel.cpp ../../../shared/fontpanel/fontpanel_p.h
        ../../../shared/qttoolbardialog/qttoolbardialog.cpp ../../../shared/qttoolbardialog/qttoolbardialog_p.h ../../../shared/qttoolbardialog/qttoolbardialog.ui
        appfontdialog.cpp appfontdialog.h
        assistantclient.cpp assistantclient.h
        designer_enums.h
        main.cpp
        mainwindow.cpp mainwindow.h
        newform.cpp newform.h
        preferencesdialog.cpp preferencesdialog.h preferencesdialog.ui
        qdesigner.cpp qdesigner.h
        qdesigner_actions.cpp qdesigner_actions.h
        qdesigner_appearanceoptions.cpp qdesigner_appearanceoptions.h qdesigner_appearanceoptions.ui
        qdesigner_formwindow.cpp qdesigner_formwindow.h
        qdesigner_server.cpp qdesigner_server.h
        qdesigner_settings.cpp qdesigner_settings.h
        qdesigner_toolwindow.cpp qdesigner_toolwindow.h
        qdesigner_workbench.cpp qdesigner_workbench.h
        saveformastemplate.cpp saveformastemplate.h saveformastemplate.ui
        versiondialog.cpp versiondialog.h
    INCLUDE_DIRECTORIES
        ../../../shared/fontpanel
        ../../../shared/qttoolbardialog
        ../lib/extension
        ../lib/sdk
        ../lib/shared
        extra
    LIBRARIES
        Qt::CorePrivate
        Qt::DesignerComponentsPrivate
        Qt::DesignerPrivate
        Qt::Gui
        Qt::Network
        Qt::Widgets
        Qt::Xml
    ENABLE_AUTOGEN_TOOLS
        uic
    PRECOMPILED_HEADER
        "qdesigner_pch.h"
)

# Due to QTBUG-110369, don't add designer as dependency to External Project examples.
qt_internal_skip_dependency_for_examples(designer)

# Resources:
set(designer_resource_files
    "images/designer.png"
)

qt_internal_add_resource(designer "designer"
    PREFIX
        "/qt-project.org/designer"
    FILES
        ${designer_resource_files}
)
set(qttoolbardialog_resource_files
    "../../../shared/qttoolbardialog/images/back.png"
    "../../../shared/qttoolbardialog/images/down.png"
    "../../../shared/qttoolbardialog/images/forward.png"
    "../../../shared/qttoolbardialog/images/minus.png"
    "../../../shared/qttoolbardialog/images/plus.png"
    "../../../shared/qttoolbardialog/images/up.png"
)

qt_internal_add_resource(designer "qttoolbardialog"
    PREFIX
        "/qt-project.org/qttoolbardialog"
    BASE
        "../../../shared/qttoolbardialog"
    FILES
        ${qttoolbardialog_resource_files}
)

set_target_properties(designer PROPERTIES
    QT_TARGET_DESCRIPTION "Qt Widgets Designer"
)

## Scopes:
#####################################################################

qt_internal_extend_target(designer CONDITION TARGET Qt::PrintSupport
    PUBLIC_LIBRARIES
        Qt::PrintSupport
)

qt_internal_extend_target(designer CONDITION NOT QT_BUILD_SHARED_LIBS
    DEFINES
        QT_DESIGNER_STATIC
)

if(WIN32)
    set_target_properties(designer PROPERTIES
        QT_TARGET_RC_ICONS "${CMAKE_CURRENT_SOURCE_DIR}/designer.ico"
    )
endif()

if(WIN32)
    set_target_properties(designer PROPERTIES
        QT_TARGET_VERSION "${PROJECT_VERSION}.0"
    )
endif()

if(UNIX)
    set_target_properties(designer PROPERTIES
        QT_TARGET_VERSION "${PROJECT_VERSION}"
    )
endif()

if(QT_INSTALL_XDG_DESKTOP_ENTRIES)
    if(UNIX AND NOT APPLE)
        qt_path_join(xdg_install_dir ${QT_INSTALL_DIR} ${CMAKE_INSTALL_DATAROOTDIR})

        qt_install(FILES designer.desktop
            DESTINATION "${xdg_install_dir}/applications"
        )
        qt_install(FILES designer.metainfo.xml
            RENAME io.qt.Designer.metainfo.xml
            DESTINATION "${xdg_install_dir}/metainfo"
        )
        qt_install(FILES images/designer.png
            DESTINATION "${xdg_install_dir}/icons/hicolor/128x128/apps"
        )
    endif()
endif()

if(APPLE)
    set_target_properties(designer PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info_mac.plist"
        MACOSX_BUNDLE TRUE
        MACOSX_BUNDLE_ICON_FILE "designer.icns"
        OUTPUT_NAME "Designer"
    )
    set_source_files_properties(designer.icns PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
    )
    target_sources(designer PRIVATE
        designer.icns
    )
    # special case end
    # Set values to be replaced in the custom Info_mac.plist.
    # Also package the uifile.icns.
    set(ICON "designer.icns")
    set(EXECUTABLE "Designer")
    set_source_files_properties(uifile.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    target_sources(designer PRIVATE uifile.icns)
    # special case end

    # Bundle the entitlements file in the installed bundle Resources subdirectory, so that the
    # post-CI signing process uses it to ensure 3rd party widget plugins can also be loaded.
    target_sources(designer PRIVATE Designer.entitlements)
    set_source_files_properties(Designer.entitlements PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
    )
endif()

# FILETYPES.files = "uifile.icns"
# FILETYPES.path = "Contents/Resources"
# QMAKE_BUNDLE_DATA = "FILETYPES"

qt_internal_extend_target(designer CONDITION UNIX AND NOT HAIKU AND NOT MACOS
    PUBLIC_LIBRARIES
        m
)
qt_internal_add_docs(designer
    doc/qtdesigner.qdocconf
)

=== debian/changelog ===
qt6-tools (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update ABI to 6.10.2.
  * Update d/watch to format version 5.
  * Remove patches that have been applied upstream.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Feb 2026 20:39:17 +0100

qt6-tools (6.9.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Actually use LLVM 21.

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Dec 2025 15:09:34 +0100

qt6-tools (6.9.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Build with LLVM 21 (Closes: #1119091).

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Dec 2025 14:39:57 +0100

=== debian/control ===
Source: qt6-tools
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               clang-21 [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               cmake (>= 3.24~),
               libclang-21-dev [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
#               liblitehtml-dev (>= 0.6~),
               libcups2-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libedit-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               libzstd-dev (>= 1.3),
               llvm-21 [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               llvm-21-dev [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
Build-Depends-Indep: qdoc-qt6 (>= 6.10~) <!nodoc>,
                     qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git

Package: libqt6designer6
Architecture: any
Multi-Arch: same
Provides: qt6-designer-private-abi (= 6.10.2),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner library provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt6designercomponents6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer Components library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes components for the Qt 6 Designer library.

Package: libqt6help6
Architecture: any
Multi-Arch: same
Provides: qt6-help-private-abi (= 6.10.2),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Help library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp library provides classes for integrating online documentation in
 applications.

Package: libqt6uitools6
Architecture: any
Multi-Arch: same
Provides: qt6-uitools-private-abi (= 6.10.2),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 UI tools library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The package provides classes to handle forms created with Qt Designer.

Package: assistant-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Assistant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Assistant is a tool for viewing on-line documentation in Qt help file
 format.

Package: designer-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Designer is the Qt tool for designing and building graphical user
 interfaces (GUIs) with Qt Widgets.

Package: designer-qt6-plugins
Architecture: any
Multi-Arch: same
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: designer-qt6 (<< 6.6.1-2~),
Replaces: designer-qt6 (<< 6.6.1-2~),
Description: Qt 6 Designer - plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Designer is the Qt tool for designing and building graphical user
 interfaces (GUIs) with Qt Widgets.
 .
 This package contains various plugins to be used with the Qt Designer.

Package: linguist-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Linguist
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Linguist is a tool for adding translations to Qt applications.

Package: qdbus-qt6
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: qt6-tools-dev-tools (<< 6.3.1-2~),
Replaces: qt6-tools-dev-tools (<< 6.3.1-2~),
Description: Qt 6 D-Bus application
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 qdbus is a tool for listing D-Bus services and its properties.

Package: qdoc-qt6
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: qt6-documentation-tools (<< 6.7.2-5~),
Replaces: qt6-documentation-tools (<< 6.7.2-5~),
Description: Qt 6 qdoc tool
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains qdoc, a command-line tool for generating HTML
 documentation from .cpp and .qdoc files.

Package: qt6-documentation-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: libqt6sql6-sqlite,
         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 documentation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools like qtattributionsscanner and qhelpgenerator.
 .
 qtattributionsscanner is a command-line tool that scans the source
 code for qt_attribution.json file and outputs JSON or qdoc files
 describing the copyright attributions for third party code.
 .
 qhelpgenerator is a command-line tool for packaging the HTML
 documentation generated by qdoc into .qch files.

Package: qt6-l10n-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 translation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools to create translation files.

Package: qt6-tools-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6designer6 (= ${binary:Version}),
         libqt6designercomponents6 (= ${binary:Version}),
         libqt6help6 (= ${binary:Version}),
         libqt6uitools6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-tools-dev-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Tools - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications.

Package: qt6-tools-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-tools-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Tools - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains private header development files.
 .
 Use at your own risk.

Package: qt6-tools-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: assistant-qt6 (= ${binary:Version}),
         designer-qt6 (= ${binary:Version}),
         linguist-qt6 (= ${binary:Version}),
         qdbus-qt6 (= ${binary:Version}),
         qt6-documentation-tools (= ${binary:Version}),
         qt6-l10n-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 development tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of applications to browse the documentation,
 translate applications, generate help files and other stuff that
 helps in Qt development. These tools are among others:
  * pixeltool
  * qdbusviewer

Package: qt6-tools-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 tools.

Package: qt6-tools-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 tools.

Package: qt6-tools-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt tools
 documentation.

Package: qt6-tools-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 tools examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt tools submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qttools-everywhere-src-(.*)\.tar\.xz
